SUBROUTINE FixSCTstrings(SCT)
!
! T. Bullett   CIRES    13Feb09
! g95
!
! Fix the string values in the SCT by converting them from 
! C format null padded to FORTRAN formatted space padded.
!
! Requries the TrimNull() function from misc_utils.f90
!
USE misc_utils
IMPLICIT NONE
INCLUDE 'sct.f90'
!
!
INTEGER:: J
TYPE(SCTtype),INTENT(INOUT):: SCT

SCT%readme=TrimNull(SCT%readme)
SCT%user=TrimNull(SCT%user)
!
! Station
SCT%station%file_id=TrimNull(SCT%station%file_id)
SCT%station%ursi_id=TrimNull(SCT%station%ursi_id)
SCT%station%rx_name=TrimNull(SCT%station%rx_name)
DO J=1,32
   SCT%station%rx_antenna_type(J)=TrimNull(SCT%station%rx_antenna_type(J))
ENDDO
SCT%station%tx_name=TrimNull(SCT%station%tx_name)
SCT%station%tx_antenna_type=TrimNull(SCT%station%tx_antenna_type)
SCT%station%ref_type=TrimNull(SCT%station%ref_type)
SCT%station%clock_type=TrimNull(SCT%station%clock_type)
SCT%station%user=TrimNull(SCT%station%user)
!
! Timing
SCT%timing%file_id=TrimNull(SCT%timing%file_id)
SCT%timing%data_wave_file=TrimNull(SCT%timing%data_wave_file)
SCT%timing%cal_wave_file=TrimNull(SCT%timing%cal_wave_file)
SCT%timing%user=TrimNull(SCT%timing%user)
!
! Frequency
SCT%frequency%file_id=TrimNull(SCT%frequency%file_id)
SCT%frequency%freq_table_id=TrimNull(SCT%frequency%freq_table_id)
SCT%frequency%user=TrimNull(SCT%frequency%user)
!
! Receiver
SCT%receiver%file_id=TrimNull(SCT%receiver%file_id)
SCT%receiver%rcf_type=TrimNull(SCT%receiver%rcf_type)
SCT%receiver%user=TrimNull(SCT%receiver%user)
SCT%exciter%file_id=TrimNull(SCT%exciter%file_id)
!
! Exciter
SCT%exciter%rcf_type=TrimNull(SCT%exciter%rcf_type)
SCT%exciter%user=TrimNull(SCT%exciter%user)
SCT%exciter%user=TrimNull(SCT%exciter%user)

RETURN
END
