PROGRAM hack_sct
!
! Allow to change values in the SCT to whatever you want.
! WARNING:  This can easily ruin your SCT
!           BE SURE YOU KNOW WHAT YOU ARE DOING!
!           You Have Been Warned!
!

IMPLICIT NONE
INCLUDE 'sct.f90'

TYPE(SCTtype) SCT
!
! Local Variables
CHARACTER(120)::INFILE,OUTFILE 
LOGICAL INFOK,EOF 
INTEGER :: IU=1

! Functions
LOGICAL:: READSCT 

IF (IARGC().LT.1) THEN
   WRITE(0,*) ' dump_headers - error - No input file given'
   CALL EXIT (-1)
ENDIF

CALL GETARG(1,INFILE)
!
!     Check if input file exists
INQUIRE(FILE=INFILE,EXIST=INFOK)
IF (.NOT.INFOK) THEN
   WRITE(0,*) ' dump_headers - error - Missing input file'
   CALL EXIT(-1)
ENDIF

CALL ZeroSCT(SCT)

OPEN(UNIT=IU, FILE=INFILE, FORM="UNFORMATTED", ACCESS="STREAM")
! Read the SCT
EOF=READSCT(IU,  SCT)
IF (EOF) CALL EXIT(1)
CALL FixSCTstrings(SCT)
!
! Here we do the dirty work
! Hack the shuffle mode settings
SCT%frequency%pulse_count=SCT%frequency%ramp_repeats
SCT%frequency%ramp_repeats=1
SCT%frequency%ramp_steps=1

CALL DumpSCT(SCT)
!
!
! Output file name
IF (IARGC().LT.2) THEN
   OPEN(UNIT=2, FILE='dumpsct.bin', FORM="UNFORMATTED", ACCESS="STREAM")
ELSE   
   CALL GETARG(2,OUTFILE)
   OPEN(UNIT=2, FILE=OUTFILE, FORM="UNFORMATTED", ACCESS="STREAM")
ENDIF


WRITE(2) SCT
CLOSE(UNIT=2)

!
END PROGRAM
