SUBROUTINE PEAKPRI(MASKRX,   PRI)
!
! Determine the range gates of peak amplitude and noise on all selected receivers.
! This is for a single pulse (A-scan), compared to all pulses in a pulset done elsewhere,
! and is intended to pull out raw data for plotting.  
!
! 05Jul12  Terry Bullett, University of Colorado.
!          "Life is Complex, it has a Real Part and an Imaginary Part"
!
IMPLICIT NONE
INCLUDE 'pct.f90'
INCLUDE 'pri.f90'
!
INTEGER,INTENT(IN) :: MASKRX
TYPE(PRItype),INTENT(INOUT) :: PRI
!
INTEGER:: IRG,IRX,RGT1,RGT2,NRGT,MINRGT
REAL:: NOISEMOD,AMPMIN
REAL::ASCAN(PRI%GateCount)
!
! =============================================
!
! Bounds to perform statisitcs.  Try to avoid cal pulse
! ToDo: Use cal pulse data in SCT
RGT1=30
NRGT=PRI%GateCount
RGT2=NRGT-20
PRI%Peak=1.0  
PRI%PeakRangeGate=NRGT
PRI%Noise=0.0
ASCAN=0.0 
!
DO IRX = 1, PRI%ReceiverCount
   IF (.NOT.BTEST(MASKRX, IRX-1)) CYCLE  ! Dont' bother with masked out receivers
   DO IRG=1, PRI%GateCount
      ASCAN(IRG) = 10.0*LOG10(REAL(PRI%Ascan(IRX,IRG))**2 + AIMAG(PRI%Ascan(IRX,IRG))**2)  ! Power in dB  
   ENDDO
   CALL MPANOISE(RGT1,RGT2,NRGT,NOISEMOD,ASCAN,   AMPMIN,MINRGT,PRI%Peak(IRX),PRI%PeakRangeGate(IRX),PRI%Noise(IRX)) 
ENDDO
RETURN
END SUBROUTINE PEAKPRI
