!
! Define the Pulse Repetition Interval structure for Ver 1 of RIQ file format
!
! T. Bullett    27Aug08   gfortran
!
! 14Feb09 TWB  Included PCT in the PRI
!              Moved RangeCal and RangeTable to the Ionogram() structure
!              NOTE:  The calling program must also include the definition of PCT
!                     before including this file.
!
! 10Aug11 TWB  Added arrival angle and Doppler data elements (and error estimates)
! 05Jul12 TWB  Added Peak Range Gate and Noise estimates to the PRI.  
!
INTEGER,PARAMETER :: MAXRG=4096
INTEGER,PARAMETER :: MAXRX=8
!
TYPE :: PRItype
REAL :: Frequency
REAL :: Time,GateStart,GateStep,RelativeTime
INTEGER :: PulsetLength, PulsetIndex, ReceiverCount, GateCount
TYPE (PCTtype) :: PCT
COMPLEX,DIMENSION(MAXRX,MAXRG) :: Ascan
REAL,DIMENSION(MAXRX,MAXRG) :: Amplitude, Phase
REAL,DIMENSION(MAXRG):: Zenith, Azimuth, Doppler, ZnErr, AzErr, DopErr
REAL,DIMENSION(MAXRX):: Noise,Peak
INTEGER,DIMENSION(MAXRX):: PeakRangeGate 
END TYPE PRItype
