LOGICAL FUNCTION READPCT(IU,  PCT)  
!
! Read the Pulse Configuration Table (PCT)
! For Version 0 RIQ files there is only one PCT per file.
! so this is only read the first time it is called.
!
! Return value is TRUE if there is some problem, such as EOF
!
!
IMPLICIT NONE
INCLUDE 'pct.f90'   ! PCT

!
INTEGER,INTENT(IN):: IU
INTEGER:: IERR
TYPE(PCTtype),INTENT(OUT) :: PCT

!
IERR=0
READPCT=.FALSE.
!
CALL ZeroPCT(PCT)
READ(IU,IOSTAT=IERR) PCT
IF(IERR.NE.0) THEN
   READPCT=.TRUE.
   RETURN
ENDIF 
!
RETURN
END FUNCTION READPCT

