SUBROUTINE SCTPCT2PRI(SCT,PCT,RANGE0,  PRI)
!
! T. Bullett   29Oct08 
! Map info from the SCT and PCT into the PRI structure
! Version 1 of RIQ file
!
! 14Feb09  TWB  Re-defined PRI and moved much of this into Ionogram structure
!               Frequencies in kHz internally.
IMPLICIT NONE
!
INCLUDE 'sct.f90'     ! SCT
INCLUDE 'pct.f90'     ! PCT
INCLUDE 'pri.f90'     ! PRI
!
REAL,INTENT(IN)::RANGE0
TYPE(SCTtype),INTENT(IN) :: SCT
TYPE(PCTtype),INTENT(IN) :: PCT
TYPE(PRItype),INTENT(OUT) :: PRI
!
! Local variables
INTEGER:: IFRQ,RGT
!
!
PRI%ReceiverCount=SCT%receiver%rx_chan
PRI%GateCount=SCT%timing%gate_count
PRI%GateStep=1000.0*REAL(SCT%timing%gate_step)  ! Time in nanoseconds 
PRI%GateStart=1000.0*REAL(SCT%timing%gate_start)  ! Time in nanoseconds 
IFRQ=PCT%base_id 
PRI%Frequency=PCT%Frequency
PRI%PulsetLength=SCT%frequency%pulse_count
PRI%PulsetIndex=PCT%pulse_id + 1
PRI%Time=REAL(PCT%pri_ut)
PRI%RelativeTime=1000.0*SCT%timing%pri*REAL(PCT%record_id - 1)

RETURN

100 FORMAT (I4.4,1X,I3.3,1X,I2.2,':',I2.2,':',I2.2) 
END SUBROUTINE SCTPCT2PRI 
