#!/bin/bash
#
# station_settings -- Exports station-dependent settings needed for the
#                     plotting scripts in the riq-ionogram package
# Terry Bullett
# University of Colorado
#
# Version 2.07  06Oct12
# useage:
# station_settings.sh URSICODE
#
# Requires:
#   nothing
#
#  Determine site and time variable items, especially rxmask
case $URSI in
   AA109)
      SMASK=$((2#11111111))
      STATION="Addis Ababa"
      ;; 
   BD840)
      SMASK=$((2#11111111))
      STATION="Boulder"
      PWRMAX=80
      SNRMAX=40
      OXMAX=30
      ;;
   HAJ45)
      SMASK=$((2#11111111))
      STATION="Hanscom"
      ;;
   IS141)
      SMASK=$((2#00001111))
      STATION="Istanbul"
      ;;

   PM91J)
      SMASK=$((2#11111111))
      STATION="Puerto Maldonado"
      ;;
   JM91J)
      SMASK=$((2#11111111))
      STATION="Jicamarca"
      ;;
   KI100)
      SMASK=$((2#00000011))
      STATION="Kisumu"
      ;;
   SJJ18)
      SMASK=$((2#11001111))
      STATION="San Juan"
      ;;
   TM840)
      SMASK=$((2#00000011))
      STATION="Table Mt"
      ;;
   WI937)
      SMASK=$((2#11111111))
      STATION="Wallops"
      ;;
    *)
      STATION="UNKNOWN"
      ;;
esac
