!
! Define a WAV file structure.
!
!
! T. Bullett 16Feb 12 
! Adapted from: https://ccrma.stanford.edu/courses/422/projects/WaveFormat/
!
!
TYPE :: WAVtype    
CHARACTER(4)    :: ChunkID             ! "RIFF" 
INTEGER(KIND=4) :: ChunkSize           ! 36+SubChunk2Size, or 4+(8+SubChunk1Size)+(8+SubChunk2Size)
CHARACTER(4)    :: Format              ! "WAVE"
CHARACTER(4)    :: Subchunk1ID         ! "fmt " note the trailing space!
INTEGER(KIND=4) :: Subchunk1Size       ! 16 for PCM.  This is the size of the rest of the Subchunk which follows this number
INTEGER(KIND=2) :: AudioFormat         ! PCM = 1 (i.e. Linear quantization) Values other than 1 indicate some compression 
INTEGER(KIND=2) :: NumChannels         ! Mono = 1, Stereo = 2, etc.
INTEGER(KIND=4) :: SampleRate          ! Normal audio values are 8000, 44100, etc.
INTEGER(KIND=4) :: ByteRate            ! == SampleRate * NumChannels * BitsPerSample/8
INTEGER(KIND=2) :: BlockAlign          ! == NumChannels * BitsPerSample/8 The number of bytes for one sample including all channels.
INTEGER(KIND=2) :: BitsPerSample       ! 8 bits = 8, 16 bits = 16, etc
CHARACTER(4)    :: Subchunk2ID         ! "data"
INTEGER(KIND=4) :: Subchunk2Size       !  == NumSamples * NumChannels * BitsPerSample/8 or the size of the data block
END TYPE WAVtype
